#include "..\..\script_macros.hpp"
/*
 File: fn_medicLights.sqf
 Author: mindstorm, modified by Adanteh and moeck
 Link: http://forums.bistudio.com/showthread.php?157474-Offroad-Police-sirens-lights-and-underglow

 Description:
 Adds the light effect to cop vehicles, specifically the offroad.
*/

params [
 ["_vehicle", objNull, [objNull]],
 ["_lightTime", 0.22, [0]]
];

if (isNil "_vehicle" || {isNull _vehicle || {!(_vehicle getVariable "lights") || {!(M_CONFIG(isArray,"LifeCfgVehicles",(typeOf _vehicle),"lights"))}}}) exitWith {};
private _lights = (M_CONFIG(getArray,"LifeCfgVehicles",(typeOf _vehicle),"lights"));
if !(count _lights isEqualTo 2) exitWith {};
_lightLeft = "#lightpoint" createVehicleLocal getPos _vehicle;
sleep 0.2;
_leftColor = ((_lights select 0) select 2);
diag_log format ["left %1",str((_leftColor select 1) select 1)];
_lightLeft setLightColor ((_leftColor select 1) select 1);
_lightLeft setLightBrightness 0.2;
_lightLeft setLightAmbient [0.1,0.1,1];
_lightLeft lightAttachObject [_vehicle, ((_lights select 0) select 1)];
_lightLeft setLightAttenuation [0.181, 0, 1000, 130];
_lightLeft setLightIntensity 10;
_lightLeft setLightFlareSize 0.38;
_lightLeft setLightFlareMaxDistance 150;
_lightLeft setLightUseFlare true;

_lightRight = "#lightpoint" createVehicleLocal getPos _vehicle;
sleep 0.2;
_rightColor = ((_lights select 1) select 2);
diag_log format ["right %1",str((_rightColor select 1) select 1)];
_lightRight setLightColor ((_rightColor select 1) select 1);
_lightRight setLightBrightness 0.2;
_lightRight setLightAmbient [0.1,0.1,1];

_lightRight lightAttachObject [_vehicle, ((_lights select 1) select 1)];

_lightRight setLightAttenuation [0.181, 0, 1000, 130];
_lightRight setLightIntensity 10;
_lightRight setLightFlareSize 0.38;
_lightRight setLightFlareMaxDistance 150;
_lightRight setLightUseFlare true;

_lightLeft setLightDayLight true;
_lightRight setLightDayLight true;

private _leftRed = true;
while {alive _vehicle} do {
 if !(_vehicle getVariable "lights") exitWith {};
 if (_leftRed) then {
 _lightRight setLightBrightness 0.0;
 sleep 0.05;
 _lightLeft setLightBrightness 6;
 } else {
 _lightLeft setLightBrightness 0.0;
 sleep 0.05;
 _lightRight setLightBrightness 6;
 };
 _leftRed = !_leftRed;
 sleep _lightTime;
};

deleteVehicle _lightLeft;
deleteVehicle _lightRight;